[Overview][Constants][Types][Classes][Index] | Reference for unit 'zipper' (#fcl)

# TZipper

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: zipper.pp line 306

`type TZipper = class(TObject)`
`public`
`constructor Create;`
`destructor Destroy; override;`
`procedure ZipAllFiles; virtual;` |  | Zips all files in object and writes zip to disk
`procedure SaveToFile();`
`procedure SaveToStream();`
`procedure ZipFiles();`
`procedure Clear;`
`property BufferSize: LongWord; [rw]`
`property OnPercent: Integer; [rw]`
`property OnProgress: TProgressEvent; [rw]`
`property OnStartFile: TOnStartFileEvent; [rw]`
`property OnEndFile: TOnEndOfFileEvent; [rw]`
`property FileName: string; [rw]`
`property FileComment: string; [rw]`
`property Files: TStrings; [r]`
`property InMemSize: Integer; [rw]`
`property Entries: TZipFileEntries; [rw]`
`end;`

## Inheritance

`TZipper`
`TObject`

Documentation generated on: Feb 26 2014